Bug 1339306 - Video device is not explicitly requested from VDSM
Summary: Video device is not explicitly requested from VDSM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 1.3.6.1
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-3.6.7
: 1.3.7.0
Assignee: Roman Mohr
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On:
Blocks: 1328921 1339216
TreeView+ depends on / blocked
 
Reported: 2016-05-24 16:08 UTC by Roman Mohr
Modified: 2017-05-11 09:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: video device was not explicitly requested when creating the VM through VDSM. As a result only the graphics device was reported to the engine. Consequence: Fix: Video device is now explicitly requested and the video device is written to the initial vm.conf to make sure that subsequent starts also add this device. Result: VDSM correctly reports the video device and we always create the video/graphics device combination the engine would create. In case of ovirt-engine 3.6 that is cirrus/vnc and qxl/spice. In case of ovirt-engine 4.0 that is vga/vnc and qxl/spice.
Clone Of:
Environment:
Last Closed: 2016-07-04 12:32:17 UTC
oVirt Team: SLA
rule-engine: ovirt-3.6.z+
mgoldboi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57885 0 ovirt-hosted-engine-setup-1.3 MERGED Make video device explicit 2016-05-30 20:09:48 UTC
oVirt gerrit 57906 0 master MERGED Make video device explicit 2016-05-25 07:20:00 UTC

Description Roman Mohr 2016-05-24 16:08:36 UTC
Description of problem:
Cirrus, QXL and VGA devices are not part of the initial vm.conf. As a consequence engine-setup does not tell VDSM that it is needed. Libvirt still creates it under the hood for the SPICE and VNC graphics devices but VDSM does not report the full device. In this case VDSM reports an empty "device" field.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Do a full hosted-engine --deploy run
2. Import the Hosted engine VM into ovirt-engine
3. Check the imported devices in the engine

Actual results:
The cirrus/qxl/vga device is not imported

Expected results:
The video device should be imported

Additional info:

Comment 1 sefi litmanovich 2016-06-08 11:53:31 UTC
Verified with ovirt-hosted-engine-setup-1.3.7.1-1.el7ev.noarch.
Ran hosted engine setup twice, once choosing VNC as display type and once SPICE.
In both cases vm was created with the correct video device (qxl for spice and cirrus for vnc), device was visible on vm's xml and on vm.conf on the host:

devices={device:qxl,alias:video0,type:video} - SPICE case.
devices={device:cirrus,alias:video0,type:video} - VNC case.


Note You need to log in before you can comment on or make changes to this bug.